/**Begin D:\DBA\1.4\PDM_UPGRADE\PDM1\BCM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BCM_BDMAPPINGENTRY' AND KSQL_COL_NAME ='FFILTERCONDITION') 
 ALTER TABLE T_BCM_BDMAPPINGENTRY ADD (FFILTERCONDITION VARCHAR(500) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BCM_BDMAPPINGENTRY' AND KSQL_COL_NAME ='FFILTERCONDITION_TAG') 
 ALTER TABLE T_BCM_BDMAPPINGENTRY ADD (FFILTERCONDITION_TAG NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_BDIMPORTENTRY') 
 CREATE TABLE T_BCM_BDIMPORTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FEXECUTOR BIGINT DEFAULT 0 NOT NULL,
FEXECUTETIME DATETIME,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FERRORMSG VARCHAR(500) DEFAULT ' ' NOT NULL
);



/**End D:\DBA\1.4\PDM_UPGRADE\PDM1\BCM_table.sql **/
